Header ->
Arg Reply : HTTPResponse

Header = <> ..

If Reply.Header.Length then
 Header .= 'Content-Length: ' Reply.Length
If Reply.Header.Cookies then
 Header .= 'Set-Cookie: ' Reply.Cookies
If Reply.Header.No_cache then
 Header .= 'Cache-Control: no-store, no-cache, must-revalidate'
 Header .= 'Cache-Control: post-check=0, pre-check=0'
 Header .= 'Pragma: no-cache'
 Header .= 'Pragma: no-store'
;

If Header then
 H : String <- Header, "\n"
 Say H "\n"
Else
 Say "\n"
;

/